{% extends 'base.html.twig' %}

{% block title %}Document{% endblock %}

{% block body %}
    <h1>Document</h1>

    <table class="table">
        <tbody>
            <tr>
                <th>Id</th>
                <td>{{ document.id }}</td>
            </tr>
            <tr>
                <th>Title</th>
                <td>{{ document.title }}</td>
            </tr>
            <tr>
                <th>Description</th>
                <td>{{ document.description }}</td>
            </tr>
        </tbody>
    </table>

    {% if document.physicalFile  %}
    <div>
        <h4>File</h4>
        <div>
            Filename: {{ document.physicalFile.filename }}
        </div>
        <div>
            Extension: {{ document.physicalFile.extension }}
        </div>
        <div>
            Thumbnail: {{ document.physicalFile.hasThumbnail }}
        </div>
    </div>
    {% endif %}

    <div class="inline-flex">
        <a class="btn btn-outline-blue" href="{{ path('document_index') }}">back to list</a>

        <a class="btn btn-blue" href="{{ path('document_edit', {'id': document.id}) }}">edit</a>
    </div>

    {{ include('document/_delete_form.html.twig') }}
{% endblock %}
